osg::Drawable::ConstAttributeFunctor Class Reference

`#include <Drawable>`

## Public Member Functions

virtual | ~ConstAttributeFunctor ()
virtual void | apply (AttributeType, unsigned int, const GLbyte *)
virtual void | apply (AttributeType, unsigned int, const GLshort *)
virtual void | apply (AttributeType, unsigned int, const GLint *)
virtual void | apply (AttributeType, unsigned int, const GLubyte *)
virtual void | apply (AttributeType, unsigned int, const GLushort *)
virtual void | apply (AttributeType, unsigned int, const GLuint *)
virtual void | apply (AttributeType, unsigned int, const float *)
virtual void | apply (AttributeType, unsigned int, const Vec2 *)
virtual void | apply (AttributeType, unsigned int, const Vec3 *)
virtual void | apply (AttributeType, unsigned int, const Vec4 *)
virtual void | apply (AttributeType, unsigned int, const Vec4ub *)
virtual void | apply (AttributeType, unsigned int, const double *)
virtual void | apply (AttributeType, unsigned int, const Vec2d *)
virtual void | apply (AttributeType, unsigned int, const Vec3d *)
virtual void | apply (AttributeType, unsigned int, const Vec4d *)

## Constructor & Destructor Documentation

## ~ConstAttributeFunctor()

virtual osg::Drawable::ConstAttributeFunctor::~ConstAttributeFunctor | ( |  | ) |

inline virtual

## Member Function Documentation

## apply() [1/15]

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | const double * | )

inline virtual

## apply() [2/15]

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | const float * | )

inline virtual

## apply() [3/15]

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | const GLbyte * | )

inline virtual

## apply() [4/15]

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | const GLint * | )

inline virtual

## apply() [5/15]

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | const GLshort * | )

inline virtual

## apply() [6/15]

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | const GLubyte * | )

inline virtual

## apply() [7/15]

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | const GLuint * | )

inline virtual

## apply() [8/15]

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | const GLushort * | )

inline virtual

## apply() [9/15]

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | const Vec2 * | )

inline virtual

## apply() [10/15]

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | const Vec2d * | )

inline virtual

## apply() [11/15]

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | const Vec3 * | )

inline virtual

## apply() [12/15]

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | const Vec3d * | )

inline virtual

## apply() [13/15]

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | const Vec4 * | )

inline virtual

## apply() [14/15]

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | const Vec4d * | )

inline virtual

## apply() [15/15]

virtual void osg::Drawable::ConstAttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | const Vec4ub * | )

inline virtual

The documentation for this class was generated from the following file:

- Drawable